<template>
    <div class="flex-1" style="background: url(img/svg/pattern-1.svg) no-repeat center bottom fixed; background-size: cover;">
        <div class="container py-4 py-lg-5 my-lg-5 px-4 px-sm-0">
            <div class="row">
                <h2 class="fs-xxl fw-500 mt-4 text-white text-center">
                    This is dashboard.
                </h2>

                <div class="col-lg-12">
                    <div id="panel-1" class="panel panel-locked" data-panel-lock="false" data-panel-close="false" data-panel-fullscreen="false" data-panel-collapsed="false" data-panel-color="false" data-panel-locked="false" data-panel-refresh="false" data-panel-reset="false">
                        <div class="panel-container show">
                            <div class="panel-content p-0">
                                <div class="row row-grid no-gutters">
                                    <div class="col-sm-12 col-md-6 col-lg-6 col-xl-3">
                                        <div class="px-3 py-2 d-flex align-items-center">
                                            <vue-easy-pie-chart :percent="totalUsers" :bar-color="color[0]" :scale-length="0" :size="150">
                                                <span class="text-muted">{{totalUsers}}</span> 
                                            </vue-easy-pie-chart>
                                            <span class="d-inline-block ml-2 text-muted">
                                                Total users
                                            </span>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 col-md-6 col-lg-6 col-xl-3">
                                        <div class="px-3 py-2 d-flex align-items-center">
                                            <vue-easy-pie-chart :percent="activeUsers" :bar-color="color[1]" :scale-length="0" :size="150">
                                                <span class="text-muted">{{activeUsers}}</span>
                                            </vue-easy-pie-chart>
                                            <span class="d-inline-block ml-2 text-muted">
                                                Active users
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="fs-xxl fw-500 mt-4 text-white">
                        About
                    </h2>
                    <small class="h3 fw-300 mt-3 mb-5 text-white opacity-60 hidden-sm-down">
                        <p>Lorem ipsum is a placeholder text commonly used to demonstrate the visual form of a document or a typeface without relying on meaningful content.</p>
                    </small>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import VueEasyPieChart from 'vue-easy-pie-chart'
    import 'vue-easy-pie-chart/dist/vue-easy-pie-chart.css'
    export default {
        name: 'Dashboard',
        components:{ VueEasyPieChart },
        data() {
            return {
                totalUsers: 0,
                activeUsers: 0,
                color: ["#42b7c9","#54de82"]
            }
        },
        created(){
            this.$store.dispatch('user/stats')
            .then(() => {
                this.stats = this.$store.getters['user/stats']
                this.totalUsers = this.stats.totalUsers
                this.activeUsers = this.stats.activeUsers
            })
        }
    }
</script>

<style scoped>

</style>
